analyst-cleanup request:
  help: "Send request to malware remediation team of imunify360"
  return_type: AnalystCleanupRequestResponse
  type: dict
  cli:
    users:
      - root
    require_rpc: any
  schema:
    email:
      type: string
      regex: '[^@]+@[^@]+\.[^@]+$'
      required: true
    username:
      type: string
      required: true
      empty: false
    message:
      type: string
      required: true
      empty: false

analyst-cleanup get-requests:
  help: "Get analyst-cleanup requests for provided username or all if username isn't provided"
  return_type: AnalystCleanupGetRequestsResponse
  type: dict
  cli:
    users:
      - root
    require_rpc: any
  schema:
    username:
      type: string
      required: false
      empty: true
    limit:
      type: integer
      coerce: int
      default: 50
    offset:
      type: integer
      coerce: int
      default: 0

analyst-cleanup is-allowed:
  help: "Send request imunify360 API and shows is analyst-cleanup allowed"
  return_type: AnalystCleanupAllowedResponse
  cli:
    users:
      - root
    require_rpc: any
